Subject: Re: [bug#42615] [PATCH] guix: lint: Ignore unsupported sourceURL’s.
From: Mathieu Othacehe <[email-masked]>
To: Lars-Dominik Braun <[email-masked]>
Cc: [email-masked]
Date: Sat, 01 Aug 2020 08:44:45 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

> in https://issues.guix.gnu.org/issue/42306 I noticed git:// URI’s in source
> urls (see package nfs4-acl-tools) cause `guix lint` to fail currently. Attached
> is a patch that fixes the issue, but I’m not sure that’s the “correct” way to
> do it.

I considered adding a warning saying that URI validation failed, but
I think it can be misleading and let the user think that something is
wrong with the package definition.

Anyway looks fine, pushed!

Thanks,

Mathieu